From 9f4be1e0d3f4eabcb331d0fb14e6d97aac771283 Mon Sep 17 00:00:00 2001
From: "Robert A. Burks" <rburksdev@gmail.com>
Date: Thu, 7 Mar 2024 03:47:38 -0500
Subject: [PATCH 10/31] ; * Added commentary

* src/data.c (Findirect_variable)(notify_variable_watchers):
---
 src/data.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/data.c b/src/data.c
index c5ea7e6a80c..43b296ff343 100644
--- a/src/data.c
+++ b/src/data.c
@@ -1284,6 +1284,8 @@ DEFUN ("indirect-variable", Findirect_variable, Sindirect_variable, 1, 1, 0,
 {
   if (SYMBOLP (object))
     {
+      /* This will also sanitize the input symbol.  That is, even if no
+	 aliasing has occurred it will return a bare symbol.  */
       struct Lisp_Symbol *sym = XSYMBOL (object);
       while (sym->u.s.redirect == SYMBOL_VARALIAS)
 	sym = SYMBOL_ALIAS (sym);
@@ -1292,7 +1294,6 @@ DEFUN ("indirect-variable", Findirect_variable, Sindirect_variable, 1, 1, 0,
   return object;
 }
 
-
 /* Given the raw contents of a symbol value cell,
    return the Lisp value of the symbol.
    This does not handle buffer-local variables; use
@@ -1903,6 +1904,9 @@ notify_variable_watchers (Lisp_Object symbol,
                           Lisp_Object operation,
                           Lisp_Object where)
 {
+  /* This will also sanitize the input symbol and ensure we pass a
+     bare symbol to the watcher function.  This is important as it may
+     store that symbol and access it with positions disabled.  */
   symbol = Findirect_variable (symbol);
 
   specpdl_ref count = SPECPDL_INDEX ();
-- 
2.34.1

